package com.example.testig;

import javafx.application.Application;
import javafx.event.EventHandler;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.HBox;
import javafx.stage.Stage;

import java.io.IOException;

public class HelloApplication extends Application {
    @Override
    public void start(Stage stage) throws IOException {


        stage.setTitle("Titre TP!");                    //Question 1
        BorderPane border = new BorderPane();

        Button boutonJouer = new Button("Jouer");
        Button boutonQuitter = new Button("Quitter");

        HBox box1 = new HBox();
        HBox box2 = new HBox();

        Image de_face1 = new Image(getClass().getResourceAsStream("/de_face1.png"), 60, 60, true, true);
        Image de_face10 = new Image(getClass().getResourceAsStream("/de_face1.png"), 60, 60, true, true);
        Image de_face100 = new Image(getClass().getResourceAsStream("/de_face1.png"), 60, 60, true, true);

        ImageView de1_1 = new ImageView(de_face1);
        ImageView de1_2 = new ImageView(de_face10);
        ImageView de1_3 = new ImageView(de_face100);

        Label l1 = new Label("", de1_1);                   //Question 4
        Label l2 = new Label("", de1_2);
        Label l3 = new Label("", de1_3);
        Label l4 = new Label("Nombre de fois ou 421 est apparu : 0      Nombre de coups joués : 0");

        box1.getChildren().addAll(l1, l2, l3);
        box2.getChildren().addAll(l4);

        border.setCenter(box1);
        border.setBottom(boutonJouer);
        border.setTop(box2);
        border.setLeft(boutonQuitter);

        boutonJouer.setOnAction(new Ecouteur(l1,l2,l3, l4));
        boutonQuitter.setOnAction(new Ecouteur2());

        //Question 7 et 8

        Image exit = new Image("exit_picture.png");
        exit = new Image(getClass().getResourceAsStream("/exit_picture.png"), 36, 36, true, true);
        ImageView iconExit = new ImageView(exit);
        boutonQuitter.setGraphic(iconExit);

        Scene scene = new Scene(border, 400, 400);
        stage.setScene(scene);
        stage.show();
    }

    public static void main(String[] args) {
        launch();
    }
}